<?php

namespace App\Console\Commands;

use App\Http\Controllers\SessionRefreshController;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Log;

class sessionDelete extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'session:delete';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Session Delete';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        // Log::info("log -session:delete");

        if (!checkAPI()) {
            SessionRefreshController::autoSessionDelete();
        }
    }
}


